明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 677|回复: 17

[提问] CAD异形分层LISP哪位大神有!!!

[复制链接]
发表于 2019-5-11 15:38 | 显示全部楼层 |阅读模式
本帖最后由 希望的田野 于 2019-5-16 14:20 编辑

那位大神能用一个LISP来解决这个问题?
我的意思是D1是原始图,并在D1层。现在要实现分别把它偏移0.5与1.0到 D2与LB-W层并且颜色要随层。还要实现分别把它偏移0.5与2.5到 PPS-W与LP-W层及这两个层的图形要是规则的四边形并且颜色要随层。(注四边形的圆角大小没有要求,四边形的外形尺寸最好是整数)




                       

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
发表于 2019-5-16 18:54 | 显示全部楼层
试试吧,我为你编了个程序

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
回复 支持 1 反对 0

使用道具 举报

发表于 2019-5-11 18:34 | 显示全部楼层
好复杂,没有看懂……
发表于 2019-5-11 18:35 | 显示全部楼层
做冲孔呀,模板分层。
 楼主| 发表于 2019-5-13 07:59 | 显示全部楼层
lenlenq;

是的我想像PressCAD哪样一个快捷件把这些每层的特征都一次性做好。
发表于 2019-5-13 18:09 | 显示全部楼层
本帖最后由 cad890 于 2019-5-13 18:30 编辑

拿去吧,试过了,没多大问题,图层要事先建好
(defun c:At()(setq oldLayer (getvar "clayer"));记录原图层
(setq ent (entsel));选取偏移对象
(setq pt (getpoint"偏移方向:") )

(SETVAR "clayer" "D2")
(command "offset" "L" "C" 0.5 ent pt"")

(SETVAR "clayer" "LB-W")
(command "offset" "L" "C" 1.0 ent pt"")
(SETVAR "clayer" oldLayer);恢复原图层
)

发表于 2019-5-13 18:18 | 显示全部楼层
http://bbs.mjtd.com/forum.php?mo ... hlight=%D7%EE%CD%E2
边界可以参考这个,谢谢。
发表于 2019-5-13 22:13 | 显示全部楼层
直接用PressCAD来分层不是就解决了吗?
发表于 2019-5-14 07:35 | 显示全部楼层
做冲模使用 冲模专用外挂都有这个功能的  PressCAD  tsaiprss
发表于 2019-5-14 10:06 | 显示全部楼层
这要求很简单,建议你自己看看AutoLISP帮助文档,学个两天,就能自己写出来了
 楼主| 发表于 2019-5-15 15:33 | 显示全部楼层
cad890 发表于 2019-5-13 18:09
拿去吧,试过了,没多大问题,图层要事先建好
(defun c:At()(setq oldLayer (getvar "clayer"));记录原图 ...

你好这个能实现一部分,我想要的是LB_W层要的图形是四边形。
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2019-8-18 10:29 , Processed in 0.212488 second(s), 29 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表